
Name:           pngcheck
Version:        3.0.2
Release:        %mkrel 1
Summary:        PNG file format checker
License:        MIT and GPLv2+
Group:          Graphics/Utilities
Url:            http://www.libpng.org/pub/png/apps/pngcheck.html
Source0:        http://www.libpng.org/pub/png/src/%{name}-%{version}.tar.gz
Source1:        %{name}.1.gz
Patch0:         pngcheck-2.4.0-debug.patch

BuildRequires:  pkgconfig(zlib)

%description
pngcheck verifies the integrity of PNG, JNG and MNG files (by checking the
internal 32-bit CRCs or checksums) and optionally dumps almost all of the
chunk-level information in the image in human-readable form. For example, it
can be used to print the basic stats about an image (dimensions, bit depth,
etc.); to list the color and transparency info in its palette; or to extract
the embedded text annotations. All PNG and JNG chunks are supported, plus
almost all MNG chunks (everything but PAST, DISC, tERm, DROP, DBYK, and
ORDR). This is a command-line program with batch capabilities (e.g.,
``pngcheck *.png'').

%prep
%setup -q
%autopatch -p1

%build
%set_build_flags
%make_build -f Makefile.unx

%install
install -m 755 -d %{buildroot}%{_bindir}
install -m 755 %{name} %{buildroot}%{_bindir}/
install -m 755 pngsplit %{buildroot}%{_bindir}/
install -m 755 png-fix-IDAT-windowsize %{buildroot}%{_bindir}/
install -m 755 -d %{buildroot}%{_mandir}/man1/
install -m 0644 %{SOURCE1} %{buildroot}%{_mandir}/man1/

%files
%doc CHANGELOG README gpl/COPYING LICENSE
%{_bindir}/*
%{_mandir}/man1/%{name}.1.*


%changelog
* Wed Feb 10 2021 barjac <barjac> 3.0.2-1.mga7
+ Revision: 1675141
- New version 3.0.2
- Fixes RHBZ#1908559 and RHBZ#1907428 (Mga#28331)
- Buffer overflow and underrun fixes
- Patch to fix Mga#27658
  (pngcheck new security issue rhbz#1897485)
+ neoclust <neoclust>
- New version 3.0.0 (mga#27922)

* Sun Sep 23 2018 umeabot <umeabot> 2.3.0-4.mga7
+ Revision: 1300324
- Mageia 7 Mass Rebuild

* Wed Apr 11 2018 barjac <barjac> 2.3.0-3.mga7
+ Revision: 1217600
- suppress warning about zlib version
- Mga#22883 (pngcheck warns of zlib version)

* Mon Sep 18 2017 cjw <cjw> 2.3.0-2.mga7
+ Revision: 1155135
- fix debug packages

* Mon Jul 04 2016 barjac <barjac> 2.3.0-1.mga6
+ Revision: 1038614
- Import pngcheck with thanks to OpenSuSE

